{
  "format_version": "1.10.0",
  "particle_effect": {
    "description": {
      "identifier": "bbr:sodaparticle",
      "basic_render_parameters": {
        "material": "particles_alpha",
        "texture": "textures/pa_particles/bbr_sodaparticle"
      }
    },
    "components": {
      "minecraft:emitter_rate_steady": {
        "spawn_rate": 10.0,
        "max_particles": 1000.0
      },
      "minecraft:emitter_lifetime_once": {
        "active_time": 2.0
      },
      "minecraft:emitter_shape_disc": {
        "offset": [
          0.0,
          0.4,
          0.0
        ],
        "radius": 1.2,
        "direction": "inwards"
      },
      "minecraft:particle_lifetime_expression": {
        "max_lifetime": "Math.random(1, 1.4)"
      },
      "minecraft:particle_initial_speed": 3,
      "minecraft:particle_motion_dynamic": {
        "linear_acceleration": [
          "(variable.particle_random_1-0.5)",
          1.2,
          "(variable.particle_random_1-0.5)"
        ]
      },
      "minecraft:particle_appearance_billboard": {
        "size": [
          0.4,
          0.4
        ],
        "facing_camera_mode": "lookat_xyz",
        "uv": {
          "texture_width": 16,
          "texture_height": 16,
          "uv": [
            0,
            0
          ],
          "uv_size": [
            16,
            16
          ]
        }
      },
      "minecraft:particle_appearance_tinting": {
        "color": [
          1.0,
          1.0,
          1.0
        ]
      }
    }
  }
}